Upgrade errors

    • OMV 4.x
    • Resolved
    • Update

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Upgrade errors

      I've just installed OMV. I'm following the getting started guide. When I try upgrade the popup window shows a bunch of errors like this:


      Err:4 httpredir.debian.org/debian stretch/main armhf gnupg armhf 2.1.18-8~deb9u4
      Could not resolve 'httpredir.debian.org'


      Seems a typo somewhere. Is there any way to fix this?

      The post was edited 2 times, last by jgeils: Remove BBcode to make it more clear ().

    • jgeils wrote:

      Could not resolve 'httpredir.debian.org'
      This means your RPi has no working Internet connection and as such can not be upgraded. Same is the errors.txt saying you provided.

      Usually you connect your RPi to your local LAN, it gets an IP address and also the so called DNS server via something called DHCP and then everything is fine. Problems start once people start to configure 'static IP addresses' and 'public DNS' as some guides suggest.

      Working name resolution is a basic thing. Usually you should be able to login via SSH by doing ssh root@raspberrypi.local. Please provide output from dig httpredir.debian.org gathered on the RPi via SSH.
    • I did the command you said with these results. I also asked the systems administrator to check the settings. He fixed the gateway and its happy now. Thank you.


      dig httpredir.debian.org


      ; <<>> DiG 9.10.3-P4-Debian <<>> httpredir.debian.org
      ;; global options: +cmd
      ;; connection timed out; no servers could be reached
      root@raspberrypi:~#